Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.statistics
Class CIBStatisticImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.statistics.CIBStatisticImpl

All Implemented Interfaces:
  CIBStatistic, javax.management.j2ee.statistics.Statistic

Direct Known Subclasses:
  CIBCountStatisticImpl, CIBRangeStatisticImpl, CIBTimeStatisticImpl, CIBValueStatisticImpl

public abstract class CIBStatisticImpl
extends java.lang.Object
implements CIBStatistic

Provides a default implementation of a CIBStatistic

Constructor Summary
`CIBStatisticImpl(java.lang.String name, java.lang.String description, java.lang.String unit)` Contructor

Method Summary
`java.lang.String` | `getDescription()` Get the description of the statistic object
`long` | `getLastSampleTime()` Get the lastSampleTime of the statistic object
`java.lang.String` | `getName()` Get the name of the statistic object
`long` | `getStartTime()` Get the startTime of the statistic object
`java.lang.String` | `getUnit()` Get the Unit of the statistic object
`void` | `reset()` Reset the statistic object
`void` | `setLastSampleTime(long sampleTime)` Set the lastSampleTime of the statistic object
`void` | `setStartTime(long startTime)` Set the startTime of the statistic object representing the time of the beginning of measurement
`java.lang.String` | `toString()` Returns a printable statistic object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.statistics.CIBStatistic
`fromCompositeData, toCompositeData`

Constructor Detail

### CIBStatisticImpl

    public CIBStatisticImpl(java.lang.String name,
                            java.lang.String description,
                            java.lang.String unit)

  Contructor

Parameters:
  `name` - String
  `description` - String
  `unit` - String

Method Detail

### setLastSampleTime

    public void setLastSampleTime(long sampleTime)

  Set the lastSampleTime of the statistic object

  Parameters:
    `sampleTime` - long

### setStartTime

    public void setStartTime(long startTime)

  Set the startTime of the statistic object representing the time of the beginning of measurement

  Parameters:
    `startTime` - long

### getName

    public java.lang.String getName()

  Get the name of the statistic object

  Specified by:
    `getName` in interface `javax.management.j2ee.statistics.Statistic`
  Returns:
    String

### getUnit

    public java.lang.String getUnit()

  Get the Unit of the statistic object

  Specified by:
    `getUnit` in interface `javax.management.j2ee.statistics.Statistic`
  Returns:
    String

### getDescription

    public java.lang.String getDescription()

  Get the description of the statistic object

  Specified by:
    `getDescription` in interface `javax.management.j2ee.statistics.Statistic`
  Returns:
    String

### getStartTime

    public long getStartTime()

  Get the startTime of the statistic object

  Specified by:
    `getStartTime` in interface `javax.management.j2ee.statistics.Statistic`
  Returns:
    long

### getLastSampleTime

    public long getLastSampleTime()

  Get the lastSampleTime of the statistic object

  Specified by:
    `getLastSampleTime` in interface `javax.management.j2ee.statistics.Statistic`
  Returns:
    long

### reset

    public void reset()

  Reset the statistic object

### toString

    public java.lang.String toString()

  Returns a printable statistic object

  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD